Bug 572228 - when checking for prior comments, doesn't handle the 'name (group)' syntax
Summary: when checking for prior comments, doesn't handle the 'name (group)' syntax
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-easy-karma
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Till Maas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-10 15:39 UTC by Bill Nottingham
Modified: 2014-03-17 03:22 UTC (History)
2 users (show)

Fixed In Version: fedora-easy-karma-0-0.5.20100315gitacf8b834.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-20 03:28:11 UTC
Type: ---


Attachments (Terms of Use)
Here's a patch; probably not very efficient, but works for me. (620 bytes, patch)
2010-03-10 15:39 UTC, Bill Nottingham
no flags Details | Diff

Description Bill Nottingham 2010-03-10 15:39:18 UTC
Created attachment 399113 [details]
Here's a patch; probably not very efficient, but works for me.

Description of problem:

If you're in a group like QA, releng, or cvsadmin, bodhi comments reflect that.

See https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.3.20100306git00fc20aa.fc13 for an example.

The part of fedora-easy-karma that checks for prior comments doesn't account for this.

Version-Release number of selected component (if applicable):

fedora-easy-karma-0-0.3.20100306git00fc20aa.fc13.noarch

Comment 1 Till Maas 2010-03-10 16:09:42 UTC
Imho this is a "bug" in the bodhi update dict, because the group should be in a separate field instead of appended to the author. I'll evaluate the patch for the workaround later, but I hope that this can be fixed in bodhi.

Comment 2 Till Maas 2010-03-10 16:13:31 UTC
Bodhi ticket:
https://fedorahosted.org/bodhi/ticket/400

Comment 4 Fedora Update System 2010-03-15 20:11:43 UTC
fedora-easy-karma-0-0.5.20100315gitacf8b834.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.5.20100315gitacf8b834.fc13

Comment 5 Fedora Update System 2010-03-15 20:11:48 UTC
fedora-easy-karma-0-0.5.20100315gitacf8b834.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.5.20100315gitacf8b834.fc11

Comment 6 Fedora Update System 2010-03-15 20:11:53 UTC
fedora-easy-karma-0-0.5.20100315gitacf8b834.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.5.20100315gitacf8b834.fc12

Comment 7 Fedora Update System 2010-03-15 20:11:58 UTC
fedora-easy-karma-0-0.5.20100315gitacf8b834.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.5.20100315gitacf8b834.el5

Comment 8 Fedora Update System 2010-03-16 19:34:52 UTC
fedora-easy-karma-0-0.5.20100315gitacf8b834.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-easy-karma'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.5.20100315gitacf8b834.el5

Comment 9 Fedora Update System 2010-03-16 23:15:21 UTC
fedora-easy-karma-0-0.5.20100315gitacf8b834.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-easy-karma'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.5.20100315gitacf8b834.fc13

Comment 10 Fedora Update System 2010-03-16 23:17:48 UTC
fedora-easy-karma-0-0.5.20100315gitacf8b834.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-easy-karma'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.5.20100315gitacf8b834.fc11

Comment 11 Fedora Update System 2010-03-16 23:18:05 UTC
fedora-easy-karma-0-0.5.20100315gitacf8b834.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-easy-karma'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.5.20100315gitacf8b834.fc12

Comment 12 Fedora Update System 2010-03-20 03:28:06 UTC
fedora-easy-karma-0-0.5.20100315gitacf8b834.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-03-20 03:48:05 UTC
fedora-easy-karma-0-0.5.20100315gitacf8b834.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-07-02 21:39:39 UTC
fedora-easy-karma-0-0.6.20100629git0e80f096.el5.1 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.6.20100629git0e80f096.el5.1

Comment 15 Fedora Update System 2010-08-06 19:55:52 UTC
fedora-easy-karma-0-0.6.20100629git0e80f096.el5.1 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.